### Method

# Gtk RecentInfoget_uri_display

#### Declaration [src]

    char*
    gtk_recent_info_get_uri_display (
      GtkRecentInfo* info
    )

#### Description [src]

Gets a displayable version of the resource’s URI.

If the resource is local, it returns a local path; if the resource is not local, it returns the UTF-8 encoded content of `gtk_recent_info_get_uri()`.

#### Return value

Type: `char*`

A newly allocated UTF-8 string containing the resource’s URI or `NULL`. Use `g_free()` when done using it.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.